de.dhbwstuttgart.parser

## Class PackageName

- java.lang.Object
- - de.dhbwstuttgart.parser.PackageName

-     class PackageName
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) Menge<java.lang.String>` | `names`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PackageName()`
    `PackageName(Menge<java.lang.String> packageNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### names

          Menge<java.lang.String> names

  - ### Constructor Detail

    - #### PackageName

          public PackageName(Menge<java.lang.String> packageNames)

    - #### PackageName

          public PackageName()

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`